Como fazer o site do Banrisul funcionar corretamente sem JAVA no Linux Mint 19.2 64-bit

Fazia um tempão que eu não vinha aqui, e agora estou de volta com uma dica para eventuais clientes do Banrisul no fórum que tentaram fazer o Home Banking funcionar no Linux Mint 19.2 e no Firefox 69 e posterior, na arquitetura 64-bit, e não conseguiram. Bati muita cabeça até encontrar essa solução - tanto que já a encaminhei para o setor de TI do banco.
Primeiro é necessário seguir os passos descritos no site do banco para a instalação do Complemento Banrisul Internet Banking e da Extensão Banrisul Internet Banking (não esquecendo de verificar se esta última estará ativa - por algum motivo ela pode ficar desativada), aqui:

https://www.banrisul.com.br/bob/link/bobw00hn_conteudo_detalhe2.aspx?secao_id=3002

Para um passo-a-passo mais detalhado, verificar o manual de instruções em PDF, no link abaixo:

https://www.banrisul.com.br/bob/data/Manual_Complemento_Banrisul_Internet_Banking_para_Linux.pdf?cache=13

Depois - aí é que está o truque - é necessário executar o comando abaixo, a fim de instalar várias bibliotecas 32-bit necessárias para o funcionamento do Complemento acima:

sudo apt-get install libccid pcscd pcsc-tools libssl1.0.0:i386 libgtk-3-0:i386 libpcsclite1:i386 libpng12-0:i386 libsm6:i386

Sem esses pacotes acima, o Complemento Banrisul Internet Banking não consegue funcionar - não sei como os mesmos não são considerados dependências na hora de instalar o Complemento. Cheguei nesse comando após muita pesquisa em fóruns internacionais, a fim de procurar os pacotes correspondentes a cada biblioteca necessária - agora basta repeti-lo sempre que for necessária uma reinstalação do sistema.
Sempre lembrando que a versão do Complemento a ser instalada, nesse caso, é a sem JAVA, já que o Firefox não fornece suporte à plataforma desde a versão 52.
Espero ter ajudado outros eventuais clientes do banco a acessarem o Home Banking novamente - no meu caso, o funcionamento foi perfeito.
·

Comentários

  • OBS.: Talvez o pacote libpng12-0:i386 não exista nos repositórios; neste caso, entrar no Ubuntu Packages e localizar o pacote homônimo para Xenial, ou, se preferir (não recomendável, a menos que se saiba exatamente o que se está fazendo), adicionar o repositório abaixo:

    deb http://cz.archive.ubuntu.com/ubuntu xenial-updates main universe

    No terminal, fazer

    sudo apt-get update && sudo apt-get dist-upgrade

    E, então, repetir o comando completo do primeiro tópico.
    ·
Entre ou Registre-se para fazer um comentário.